# Get device pairing credentials Get a new set of pairing credentials for a device by ID Endpoint: GET /v2/devices/{id}/pairing-credentials Version: 2.0 Security: TokenAuth ## Path parameters: - `id` (string, required) The device ID ## Response 200 fields (application/json): - `id` (string, required) The device ID Example: "ce4918bf-a199-4ce2-85a3-d0d296855384" - `clientId` (string, required) The client ID - `clientSecret` (string, required) The client secret - `pairingKey` (string, required) The pairing key ## Response 400 fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string) ## Response 401 fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string) ## Response 403 fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string) ## Response 404 fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string) ## Response default fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string)